using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Marco.Pms.DataAccess.Migrations
{
    /// <inheritdoc />
    public partial class Added_NextStrikeDate_And_EndDate_In_RecurringPayment_Table : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "NumberOfIteration",
                table: "RecurringPayments");

            migrationBuilder.AddColumn<DateTime>(
                name: "EndDate",
                table: "RecurringPayments",
                type: "datetime(6)",
                nullable: false,
                defaultValue: new DateTime(2025, 11, 10, 10, 17, 0, 0, DateTimeKind.Unspecified));

            migrationBuilder.AddColumn<DateTime>(
                name: "NextStrikeDate",
                table: "RecurringPayments",
                type: "datetime(6)",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "EndDate",
                table: "RecurringPayments");

            migrationBuilder.DropColumn(
                name: "NextStrikeDate",
                table: "RecurringPayments");

            migrationBuilder.AddColumn<int>(
                name: "NumberOfIteration",
                table: "RecurringPayments",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }
    }
}
